package com.fdkankan.platform.order.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.platform.order.entity.IncrementOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.user.request.RequestIncrementOrder;
import com.fdkankan.platform.user.request.RequestOrder;
import com.fdkankan.platform.user.vo.ResponseIncrementOrder;
import com.fdkankan.platform.user.vo.ResponseOrder;

import java.math.BigDecimal;

/**
 * <p>
 * 增值权益订单表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface IIncrementOrderService extends IService<IncrementOrder> {

    ResponseIncrementOrder saveByOrderParam(Long userId, RequestIncrementOrder order, BigDecimal price);

    Page<ResponseIncrementOrder> getPageByParam(Long id, RequestIncrementOrder param);

    IncrementOrder getByOrderSn(String orderSn);

    boolean paySuccessIncrementOrder(String orderSn, String tradeNo, int paymentTypeName);

    ResponseIncrementOrder getVoById(Long incrementOrderId);

    Page<ResponseOrder> getOrderList(RequestOrder param);

    ResponseOrder findOrderByOrderId(Long orderId);

    String export(RequestOrder param);
}
